using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTensao
    {

        public void Insert(entidadeTensao objTensao)
        {
            dalTensao dalTensao = null;

            try
            {
                dalTensao = new dalTensao();

                dalTensao.Insert(objTensao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeTensao objTensao)
        {
            dalTensao dalTensao = null;

            try
            {
                dalTensao = new dalTensao();

                dalTensao.Update(objTensao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeTensao objTensao)
        {
            dalTensao dalTensao = null;

            try
            {
                dalTensao = new dalTensao();

                dalTensao.Delete(objTensao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTensao> Select(entidadeTensao objTensao)
        {
            dalTensao dalTensao = null;

            var lstTensao = new List<entidadeTensao>();
            DataTable dt = null;

            try
            {
                dalTensao = new dalTensao();
                dt = dalTensao.Select(objTensao);

                foreach (DataRow dr in dt.Rows)
                {
                    objTensao = new entidadeTensao();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objTensao.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objTensao.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objTensao.SIGLA = dr["SIGLA"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTensao.VALOR = Convert.ToInt32(dr["VALOR"]);

                    lstTensao.Add(objTensao);
                }
                return lstTensao;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTensao> Select_1(entidadeTensao objTensao)
        {
            dalTensao dalTensao = null;

            var lstTensao = new List<entidadeTensao>();
            DataTable dt = null;

            try
            {
                dalTensao = new dalTensao();
                dt = dalTensao.Select_1(objTensao);

                foreach (DataRow dr in dt.Rows)
                {
                    objTensao = new entidadeTensao();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objTensao.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objTensao.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objTensao.SIGLA = dr["SIGLA"].ToString();

                    if (!Convert.IsDBNull(dr["KEI"]))
                        objTensao.KEI = Convert.ToInt32(dr["KEI"]);

                    if (!Convert.IsDBNull(dr["KEI1"]))
                        objTensao.KEI1 = Convert.ToInt32(dr["KEI1"]);

                    if (!Convert.IsDBNull(dr["KEI2"]))
                        objTensao.KEI2 = Convert.ToInt32(dr["KEI2"]);

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTensao.VALOR = Convert.ToInt32(dr["VALOR"]);

                    lstTensao.Add(objTensao);
                }
                return lstTensao;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTensao> Select_2(entidadeTensao objTensao)
        {
            dalTensao dalTensao = null;

            var lstTensao = new List<entidadeTensao>();
            DataTable dt = null;

            try
            {
                dalTensao = new dalTensao();
                dt = dalTensao.Select_2(objTensao);

                foreach (DataRow dr in dt.Rows)
                {
                    objTensao = new entidadeTensao();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objTensao.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objTensao.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objTensao.SIGLA = dr["SIGLA"].ToString();

                    if (!Convert.IsDBNull(dr["KEI"]))
                        objTensao.KEI = Convert.ToInt32(dr["KEI"]);

                    if (!Convert.IsDBNull(dr["KEI1"]))
                        objTensao.KEI1 = Convert.ToInt32(dr["KEI1"]);

                    if (!Convert.IsDBNull(dr["KEI2"]))
                        objTensao.KEI2 = Convert.ToInt32(dr["KEI2"]);

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTensao.VALOR = Convert.ToInt32(dr["VALOR"]);

                    lstTensao.Add(objTensao);
                }
                return lstTensao;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }

}
